# Uses of Interface
org.eclipse.jdt.core.IMember

Packages that use IMember
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.
org.eclipse.jdt.core.refactoring.descriptors
Application programming interface to access Java refactorings provided by JDT.
org.eclipse.jdt.core.search
Provides support for searching the workspace Java elements that match a particular description.
org.eclipse.jdt.junit.launcher
Application programming interfaces related to launching JUnit tests.
org.eclipse.jdt.ui
Application programming interfaces for interaction with the Eclipse Java User Interface.
org.eclipse.jdt.ui.text.folding
Application programming interfaces for interaction with the Eclipse Java Editor folding.

## Uses of IMember in org.eclipse.jdt.core

Subinterfaces of IMember in org.eclipse.jdt.core
Modifier and Type
Interface
Description
`interface`
`IField`
Represents a field declared in a type.
`interface`
`IInitializer`
Represents a stand-alone instance or class (static) initializer in a type.
`interface`
`IMethod`
Represents a method (or constructor) declared in a type.
`interface`
`IModuleDescription`
Represents a Java module descriptor.
`interface`
`IType`
Represents either a source type in a compilation unit (either a top-level type, a member type, a local type, an anonymous type or a lambda expression) or a binary type in a class file.
Methods in org.eclipse.jdt.core that return IMember
Modifier and Type
Method
Description
`IMember`
ILocalVariable.`getDeclaringMember()`
Returns the declaring member of this local variable.
`IMember`
ITypeParameter.`getDeclaringMember()`
Returns the declaring member of this type parameter.

## Uses of IMember in org.eclipse.jdt.core.refactoring.descriptors

Methods in org.eclipse.jdt.core.refactoring.descriptors with parameters of type IMember
Modifier and Type
Method
Description
`void`
MoveStaticMembersDescriptor.`setMembers(IMember[] members)`
Sets the static members to move.
`void`
MoveDescriptor.`setMoveMembers(IMember[] members)`
Sets the members to move.

## Uses of IMember in org.eclipse.jdt.core.search

Methods in org.eclipse.jdt.core.search with parameters of type IMember
Modifier and Type
Method
Description
`abstract SearchMatch[]`
DerivedSourceSearchParticipant.`locateCallees(IMember caller, SearchDocument document, org.eclipse.core.runtime.IProgressMonitor monitor)`
Locates methods and types invoked by the given member.

## Uses of IMember in org.eclipse.jdt.junit.launcher

Methods in org.eclipse.jdt.junit.launcher that return IMember
Modifier and Type
Method
Description
`protected IMember[]`
JUnitLaunchConfigurationDelegate.`evaluateTests(org.eclipse.debug.core.ILaunchConfiguration configuration, org.eclipse.core.runtime.IProgressMonitor monitor)`
Evaluates all test elements selected by the given launch configuration.

## Uses of IMember in org.eclipse.jdt.ui

Methods in org.eclipse.jdt.ui with parameters of type IMember
Modifier and Type
Method
Description
`static Reader`
JavadocContentAccess.`getContentReader(IMember member, boolean allowInherited)`
Gets a reader for an IMember's Javadoc comment content from the source attachment.
`static Reader`
JavadocContentAccess.`getHTMLContentReader(IMember member, boolean allowInherited)`
Deprecated.
As of 3.2, replaced by `JavadocContentAccess.getHTMLContentReader(IMember, boolean, boolean)`
`static Reader`
JavadocContentAccess.`getHTMLContentReader(IMember member, boolean allowInherited, boolean useAttachedJavadoc)`
Gets a reader for an IMember's Javadoc comment content from the source attachment. and renders the tags in HTML.

## Uses of IMember in org.eclipse.jdt.ui.text.folding

Methods in org.eclipse.jdt.ui.text.folding with parameters of type IMember
Modifier and Type
Method
Description
`protected final org.eclipse.jface.text.Position`
DefaultJavaFoldingStructureProvider.`createMemberPosition(org.eclipse.jface.text.IRegion aligned, IMember member)`
Creates a folding position that remembers its member from an `aligned` region.